<?php

namespace App\Models;

use App\Models\Dashboard\Admin\Admin;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class FurnishingStatus extends Model
{
    use HasFactory;

    protected $fillable = ['name'];
    public $table = 'furnishing_statuses';

    public function properties()
    {
        return $this->hasMany(Property::class);
    }

    
    public function admin()
    {
        return $this->belongsTo(Admin::class);
    }
}
